[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.GetCurrentModalForm

Returns the Modal form at the top of the Z-order for the screen.

## Declaration

Source position: forms.pp line 1221

`public function TScreen.GetCurrentModalForm: TCustomForm;`

## Function result

The modal form, or Nil if a modal form is not active.

## Description

Calls GetCurrentModalFormZIndex to find the first form instance in CustomFormsZOrdered with the value fsModal in its FormState property.

## See also

TCustomForm.FormState |  | State flags for the form.
TFormState |  | Form state flags.